Page MenuHomePhabricator

Hide globally hidden user names on Special:Log/globalauth
Closed, ResolvedPublic

Description

Hi! If a global user name was hidden, the hiding should just be visible to stewards on http://meta.wikimedia.org/wiki/Special:Log/globalauth . The lines could be striked out like it's done on Special:Ipblocklist when an account was blocked with the global permission "hideuser".

As you can see it's always needed to suppress user names which contain private data although they are hidden. Another possibility is to hide Special:Log/globalauth from non-stewards like it's done with Special:Log/suppress for users without the global permission "hideuser".

Kind regards
DerHexer


Version: unspecified
Severity: major
URL: http://meta.wikimedia.org/wiki/Special:Log/globalauth

Details

Reference
bz18183

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:32 PM
bzimport set Reference to bz18183.
DerHexer created this task.Mar 26 2009, 9:00 PM

Another possibility is to hide
Special:Log/globalauth from non-stewards like it's done with
Special:Log/suppress for users without the global permission "hideuser".

That would be [[bug:18060]].

Kind regards
DerHexer

Tobias added a comment.Jun 3 2009, 7:56 PM

Changed to critical due to major privacy concerns. If an user account has to be globally hidden, there should be _no_ public traces left. Hideuser should not leave behind the username it is trying to hide.
The only way to fix the behavior of global hideuser is to oversight the log entry - and due to the oversight policy, a local oversighter on meta has to do that (not the steward who globally blocked the user).

mike.lifeguard+bugs wrote:

Actually, you're not quite right on the policy issue, but close enough & it shouldn't matter in any case. Hidden users *must* be actually hidden.

mike.lifeguard+bugs wrote:

Guys, this is a major issue for stewards at the moment. Please move the log for globalauth hiding to the suppression log. Our work is basically *doubled* until this happens - and considering the nature of the disruption, that's very bad indeed.

Critical issue, but not a blocker. Scaling back.

And [[bugzilla:17840]] was a blocker, I see. … This bug unnecessarily blocks work/time of stewards and meta oversights, makes global hidings useless, and should be fixed asap. Kind regards and many thanks in advance.

lar wrote:

Note that stewards (or those with the hideuser permission) probably should be able to see the log and the name, as there may be cases where a name was hidden inadvertantly or inappropriately, that should be visible enough to be undone without needing to undo them first.

Anyone on this bug? It still takes me (as oversight on meta) dozens of hours to remove those entries from Special:Log/globalauth ; and stewards are not any longer able to see them. So please fix that bug as soon as possible! Please keep in mind that we oversights on meta have to do this since more than a half year!

revvar wrote:

Patch, needs review

Attached:

demon added a comment.Jan 21 2011, 4:12 PM

Um, I see a patch but I don't see a commit. Not sure why it was marked fixed.

REOPENING.

See http://www.mediawiki.org/wiki/Special:Code/MediaWiki/61737 which was created at the same time as that patch.